#include "wifi.h"
#include "tools.h"

void wifi_setup() {
    LOG("Connecting to WiFi %s...", WIFI_SSID);
    WiFi.mode(WIFI_STA);
    WiFi.begin(WIFI_SSID, WIFI_PASS);
    while (WiFi.status() != WL_CONNECTED) {
        LOG(".");
        delay(300);
    }
    LOGln(" Connected as %s", WiFi.localIP().toString().c_str());
}